BendReportManagerSegmentInformation_Struct Struct

NXOpen.Routing.BendReportManager.SegmentInformation is an alias for NXOpen.Routing.BendReportManagerSegmentInformation_Struct

class NXOpen.Routing.BendReportManagerSegmentInformation_Struct

Bases: object

Used by all the reports to hold the information of the segments under port, solid body, segment, stock, stock component, or feature representing the piece of stock.

Generated by calling Routing.BendReportManager.GetSegmentInformation(). . Constructor: NXOpen.Routing.BendReportManager.SegmentInformation()

Fields

Field Description
Stock Routing.Stock
Segment The segment itself.
IsStraight True if the Routing.ISegment is straight.
Length Length of Routing.ISegment
StartControlPoint Start Routing.ControlPoint.
EndControlPoint End Routing.ControlPoint.
BendCorner Routing.BendCorner
BendRadius Radius of the bend
BendPosition Position of the bend rcp
StartNormal Normal of curve at start points
EndNormal Normal of curve at end points
StartControlPointPosition Location of start Routing.ControlPoint in ABS coordinates, use this instead of the start Routing.ControlPoint for S-Bends and bends greater than or equal to 180 degrees.
EndControlPointPosition Location of end Routing.ControlPoint in ABS coordinates, use this instead of the end Routing.ControlPoint for S-Bends and bends greater than or equal to 180 degrees.

Stock

BendReportManagerSegmentInformation_Struct.Stock

Routing.Stock -------------------------------------

Field Value Type:NXOpen.Routing.Stock

Segment

BendReportManagerSegmentInformation_Struct.Segment

The segment itself.

-------------------------------------

Field Value Type:NXOpen.Curve

IsStraight

BendReportManagerSegmentInformation_Struct.IsStraight

True if the Routing.ISegment is straight.

-------------------------------------

Field Value Type:bool

Length

BendReportManagerSegmentInformation_Struct.Length

Length of Routing.ISegment -------------------------------------

Field Value Type:float

StartControlPoint

BendReportManagerSegmentInformation_Struct.StartControlPoint

Start Routing.ControlPoint.

Do not use for S-Bends and bends greater than or equal to 180 degrees. -------------------------------------

Field Value Type:NXOpen.Routing.ControlPoint

EndControlPoint

BendReportManagerSegmentInformation_Struct.EndControlPoint

End Routing.ControlPoint.

Do not use for S-Bends and bends greater than or equal to 180 degrees. -------------------------------------

Field Value Type:NXOpen.Routing.ControlPoint

BendCorner

BendReportManagerSegmentInformation_Struct.BendCorner

Routing.BendCorner -------------------------------------

Field Value Type:NXOpen.Routing.BendCorner

BendRadius

BendReportManagerSegmentInformation_Struct.BendRadius

Radius of the bend -------------------------------------

Field Value Type:float

BendPosition

BendReportManagerSegmentInformation_Struct.BendPosition

Position of the bend rcp -------------------------------------

Field Value Type:NXOpen.Point3d

StartNormal

BendReportManagerSegmentInformation_Struct.StartNormal

Normal of curve at start points -------------------------------------

Field Value Type:NXOpen.Vector3d

EndNormal

BendReportManagerSegmentInformation_Struct.EndNormal

Normal of curve at end points -------------------------------------

Field Value Type:NXOpen.Vector3d

StartControlPointPosition

BendReportManagerSegmentInformation_Struct.StartControlPointPosition

Location of start Routing.ControlPoint in ABS coordinates, use this instead of the start Routing.ControlPoint for S-Bends and bends greater than or equal to 180 degrees.

-------------------------------------

Field Value Type:NXOpen.Point3d

EndControlPointPosition

BendReportManagerSegmentInformation_Struct.EndControlPointPosition

Location of end Routing.ControlPoint in ABS coordinates, use this instead of the end Routing.ControlPoint for S-Bends and bends greater than or equal to 180 degrees.

-------------------------------------

Field Value Type:NXOpen.Point3d